SerializerModifier (Jackson module: Afterburner 2.10.0 API)
Date: 2019-09-25

com.fasterxml.jackson.module.afterburner.ser

## Class SerializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.BeanSerializerModifier
  - - com.fasterxml.jackson.module.afterburner.ser.SerializerModifier

-     public class SerializerModifier
      extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MyClassLoader` | `_classLoader` Class loader to use for generated classes; if null, will try to use class loader of the target class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerModifier(ClassLoader cl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter>` | `changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`
    `protected PropertyAccessorCollector` | `findProperties(Class<?> beanClass, com.fasterxml.jackson.databind.SerializationConfig config, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`
    `protected boolean` | `isDefaultSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.JsonSerializer<?> ser)` Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of serializers.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

      `modifyArraySerializer, modifyCollectionLikeSerializer, modifyCollectionSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _classLoader

          protected final MyClassLoader _classLoader

      Class loader to use for generated classes; if null, will try to use class loader of the target class.

  - ### Constructor Detail

    - #### SerializerModifier

          public SerializerModifier(ClassLoader cl)

  - ### Method Detail

    - #### changeProperties

          public List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> changeProperties(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                                              com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                              List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

      Overrides:
        `changeProperties` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`

    - #### findProperties

          protected PropertyAccessorCollector findProperties(Class<?> beanClass,
                                                             com.fasterxml.jackson.databind.SerializationConfig config,
                                                             List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

    - #### isDefaultSerializer

          protected boolean isDefaultSerializer(com.fasterxml.jackson.databind.SerializationConfig config,
                                                com.fasterxml.jackson.databind.JsonSerializer<?> ser)

      Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of serializers.

Copyright © 2019 FasterXML. All rights reserved.